<script lang="ts">
	import { Navbar, NavBrand, NavLi, NavUl, NavHamburger } from 'flowbite-svelte';
	import { GitlabSolid, LinkedinSolid } from 'flowbite-svelte-icons';
	import '../app.css';
	let { children } = $props();
   </script>
   
<svelte:head>
	<script src="https://cdn.counter.dev/script.js" data-id="72c403ab-7d1d-48a4-85e3-65d49e1492d3" data-utcoffset="1"></script>
</svelte:head>
   
   <Navbar let:hidden let:toggle class="py-4 border-b border-gray-200 dark:border-gray-700 shadow-md sticky top-0 z-50 bg-white dark:bg-gray-900">
	 <NavBrand href="/" class="flex items-center">
	   <span class="self-center whitespace-nowrap text-2xl font-bold dark:text-white tracking-tight">Alexandre Alves</span>
	   <div class="flex items-center ml-4 space-x-3">
		 <a href="https://gitlab.com" target="_blank" rel="noopener noreferrer" class="text-gray-600 hover:text-purple-600 dark:text-gray-400 dark:hover:text-white transition-colors">
		   <GitlabSolid class="w-6 h-6" />
		 </a>
		 <a href="https://linkedin.com" target="_blank" rel="noopener noreferrer" class="text-gray-600 hover:text-blue-600 dark:text-gray-400 dark:hover:text-white transition-colors">
		   <LinkedinSolid class="w-6 h-6" />
		 </a>
	   </div>
	 </NavBrand>
	 <NavHamburger on:click={toggle} />
	 <NavUl {hidden} class="text-lg font-medium">
	   <NavLi href="/about" class="px-4 hover:text-blue-600 dark:hover:text-blue-400 transition-colors">About Me</NavLi>
	   <NavLi href="/blog" class="px-4 hover:text-blue-600 dark:hover:text-blue-400 transition-colors">Blog</NavLi>
	 </NavUl>
   </Navbar>
   
   <main id="Layout" class="container w-full mx-auto pt-6 mt-2">
	{@render children()}
   </main>